%define debug_package %{nil}
%global openHarmony_source_release OpenHarmony-v3.2-Release
Name:      distributed-build
Version:   1.0.0
Release:   12
Summary:   openEuler embedded softbus build tools
License:   Apache-2.0
URL:       https://gitee.com/openharmony/build
Requires:  ninja-build, gn, clang, llvm, lld, python, python-pyyaml, python-jinja2, distributed-build_lite
Source0:   https://gitee.com/openharmony/build/repository/archive/%{openHarmony_source_release}.tar.gz #/build-%{openHarmony_source_release}.tar.gz
Patch0001: 0001-feat-Adapt-to-Openeuler-python-export-lld.patch
Patch0002: 0002-feat-Adapt-to-Openeuler-for-compilation.patch
Patch0003: 0003-feat-Adapt-to-Openeuler-add-clang.patch
Patch0004: 0004-feat-Adapt-to-Openeuler-add-include-file.patch
Patch0005: 0005-feat-use-pyyaml-on-openeuler.patch
Patch0006: 0006-feat-add-base-config.json-for-openeuler.patch
Patch0007: 0007-feat-add-gn-files-to-use-packages-on-openeuler.patch
Patch0008: 0008-feat-Adapt-to-openeuler.patch
Patch0009: 0009-feat-add-common-subsystem-and-delete-useless-config.patch
Patch0012: 0012-fix-rpm-build-fail-caused-by-wrong-useless-code.patch
Patch0013: 0013-feature-use-llvm-tools-version-15-for-build.patch
Patch0014: 0014-feat-delete-the-default-sqlite-deps.patch
Patch0015: 0015-feat-and-hilog-gn-files.patch
Patch0016: 0016-fix-use-llvm15-path-on-x86_64.patch
Patch0017: 0017-feat-add-script-to-create-soft-link.patch
Patch0020: 0020-feat-add-openssl-gn-file-and-soft-link.patch
Patch0021: 0021-feat-change-config-json.patch
Patch0022: 0022-add-build-gn-file-of-icu-jsoncpp-zlib.patch
Patch0023: 0023-feat-for-embedded-comment-out-sysroot_hash.patch
Patch0024: 0024-feat-for-embedded-add-linux_arm64-toolchain.patch
Patch0025: 0025-feat-for-embedded-fix-sysroot-path.patch
Patch0026: 0026-feat-for-embedded-fix-jsoncpp-icu-zlib-sysroot.patch
Patch0027: 0027-feat-support-gn-upgrade.patch
Patch0028: 0028-change-clang-compiler-path.patch
Patch0029: 0029-feat-adapt-for-llvm17.patch
BuildArch: noarch

%description
openEuler embedded softbus build tools

%prep
%autosetup -p1 -n build-%{openHarmony_source_release}

#%build
#nothing to do

%install
install -d %{buildroot}/opt/distributed-middleware-build
cp -rp  %{_builddir}/build-%{openHarmony_source_release}/* %{buildroot}/opt/distributed-middleware-build

%files
/opt/distributed-middleware-build

%changelog
* Sat Aug 31 2024 yukaii <yukai20@huawei.com> - 1.0.0-12
- Adapt for LLVM-17, remove invalid compilation parameters

* Mon Jul 29 2024 s_c_c <shichuchao@huawei.com> - 1.0.0-11
- Remove set_sources_assignment_filter and delete some redundant patchs

* Thu Jun 27 2024 s_c_c <shichuchao@huawei.com> - 1.0.0-10
- Fix jsoncpp icu and zlib sysroot path for embedded

* Tue Mar 12 2024 s_c_c <shichuchao@huawei.com> - 1.0.0-9
- Fix sysroot path and add toolchain for embedded

* Fri Mar 08 2023 Peng He <hepeng68@huawei.com> - 1.0.0-8
- sync from 22.03-LTS-SP3

* Thu Aug 03 2023 Peng He <hepeng68@huawei.com> - 1.0.0-7
- change clang compiler path.

* Thu Aug 03 2023 Peng He <hepeng68@huawei.com> - 1.0.0-6
- change clang15/llvm15/lld15 to clang/llvm/lld.

* Tue Jun 20 2023 Peng He <hepeng68@huawei.com> - 1.0.0-5
- add some components to build.

* Fri Jun 16 2023 tianhang <tian_hang@hoperun.com> - 1.0.0-4
- add gn files and add tools for soft link files

* Thu Jun 15 2023 tianhang <tian_hang@hoperun.com> - 1.0.0-3
- use llvm15 path for strip on x86_64

* Thu Jun 15 2023 tianhang <tian_hang@hoperun.com> - 1.0.0-2
- add hilog compile gn files and remove default sqlite deps

* Tue May 30 2023 tianhang <tian_hang@hoperun.com> - 1.0.0-1
- Init and Adapt to Openeuler
